Transactions
List transactions
🔐 This endpoint requires one of the following scopes:
- transaction:manage
- transaction:read
- transaction:write
OAuth2 Bearer token authentication
Search results are limited to 100 items. Specify page number to read more than the first page.
Lists transactions
Unauthorized
Forbidden
GET /v1/clients/transactions HTTP/1.1
Host: api.textmaster.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"transactions": [
{
"invoice_num": "20220102-XXXX-XXX",
"money_value_in_currency": 175.32,
"type": "Transaction::ProjectSpending::LaunchingAProject",
"issued_at": {
"day": 2,
"month": 1,
"year": 2022,
"full": "2022-01-02 01:23:45 UTC"
}
},
{
"invoice_num": "20220101-XXXX-XXX",
"money_value_in_currency": 8000,
"invoice": {
"bundle_base_price_in_author_currency": 8000,
"bundle_price_in_author_currency": 8000,
"currency": "€ 0.0",
"currency_code": "EUR",
"ordered_credits": 8000000,
"extra_credits": 0,
"promo_credits": 0,
"total_credits": 8000000,
"real_credit_price_in_ref_cur": 0.001,
"vat_rate": 0,
"address": "221B Baker Street",
"legal_mention": "*VAT exemption under Article 283-2 of the General Tax Code",
"payment_method": "wire",
"locale": "en"
},
"bundle": [
{},
{}
],
"promo_code": {},
"billing_address": {
"city": "Paris",
"address": "55 Rue du Faubourg Saint-Honoré",
"address2": "Palais de l’Élysée",
"company": "Top Secret",
"country": "FR",
"zip_code": "76008",
"state_region": "",
"last_name": "Wallace",
"first_name": "Marsellus"
},
"type": "Transaction::CreditPurchase::BuyingACreditBundle",
"issued_at": {
"day": 1,
"month": 1,
"year": 2022,
"full": "2022-12-01 01:23:45 UTC"
}
}
]
}Parameters
types
array of strings
The transaction types to filter against. See list of supported types below.
Transaction types
You will find below the list of supported transaction types to filter against:
Code samples
List invoices
Parameters
types
array of strings
The invoice transaction types to filter against. See list of supported types below.
Transaction types
You will find below the list of supported transaction types that include an invoice, to filter against:
OAuth2 Bearer token authentication
Lists invoices
Unauthorized
Forbidden
GET /v1/clients/invoices HTTP/1.1
Host: api.textmaster.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"invoices": [
{
"invoice_num": "20211015-A44D-FM5",
"money_amount": 48,
"type": "Transaction::CreditPurchase::BuyingACreditBundle",
"url": "/clients/transactions/61698afd8b81926d91c0f685.pdf",
"issued_at": {
"day": 15,
"month": 10,
"year": 2021,
"full": "2021-10-15 14:06:53 UTC"
}
}
]
}Code samples
List receipts
List available receipts.
OAuth2 Bearer token authentication
Lists receipts
Unauthorized
Forbidden
GET /v1/clients/receipts HTTP/1.1
Host: api.textmaster.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"receipts": [
{
"receipt_num": "20211015-A44D-FM5",
"money_amount": 48,
"type": "Transaction::ProjectSpending::LaunchingAProject",
"issued_at": {
"day": 15,
"month": 10,
"year": 2021,
"full": "2021-10-15 14:06:53 UTC"
}
}
]
}Code samples
Last updated
Was this helpful?